Skip to content

Overview

  • Version: 2.0.0
  • Servers:
    • https://api.xsolla.com/api

Pay Station allows partners to monetize their products by providing users with a convenient UI to pay for in-game purchases in the game store. To set up opening the payment UI, refer to these instructions.

The Pay Station API provides the following groups of calls:

  • Token — includes the API call to generate a token with arbitrary user parameters for further payment processing via the payment UI.
  • Tokenization — includes API calls to securely process payments without opening the payment UI or involving the user.
  • Reports — includes API calls to return data on user transactions, generate reports, and get payouts breakdown by currency.
  • Refund — includes API calls to request full and partial refunds.
  • Testing — includes the API call to test the chargeback process.

You can find detailed information about configuring the payment UI in the Payments solution integration guide.

Note

You can also refer to the Xsolla Base API section in the Postman collection to test API calls used for integration.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/pay-station/
https://api.xsolla.com/merchant/v2/
Operations
Operations
Operations
Operations

Request

Sends a refund request to return a payment to a user. Read about the Refund feature to learn more about the process.

Note

You can call this API method in sandbox mode. To do this, pass the test payment data in the request. Refer to the instruction for more information about sandbox mode access and testing scenarios.

Notice

This API call does not contain the project_id path parameter, so you need to use the API key that is valid in all the company’s projects to set up authorization.

Security
basicAuth
Path
merchant_idintegerrequired

Merchant ID.

transaction_idintegerrequired

Transaction ID.

Bodyapplication/jsonrequired
descriptionstring<= 4000 charactersrequired

Reason for a refund.

emailstring<= 100 characters

User email.

curl -i -X PUT \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/pay-station/merchants/{merchant_id}/reports/transactions/{transaction_id}/refund' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "test refund request"
  }'

Responses

OK (No error).

Bodyapplication/json
messagestring

Can return one of the following messages:

  • No content.
  • The request for a refund has been accepted. Xsolla CS will manually complete the refund. It may take up to two business days.
  • The request for a refund has been accepted. Xsolla CS will automatically send the customer an email with alternative refund options as the user's method does not support direct refunds.
Response
application/json
{ "message": "The request for a refund has been accepted. Xsolla CS will automatically send the customer an email with alternative refund options as the user's method does not support direct refunds." }

Request

Sends a request for a partial refund to a user. Refer to our documentation for detailed information about the refund process and payment methods that support partial refunds.

Note

You can call this API method in sandbox mode. To do this, pass the test payment data in the request. Refer to the instruction for more information about sandbox mode access and testing scenarios.

Notice

This API call does not contain the project_id path parameter, so you need to use the API key that is valid in all the company’s projects to set up authorization.

Security
basicAuth
Path
merchant_idintegerrequired

Merchant ID.

transaction_idintegerrequired

Transaction ID.

Bodyapplication/jsonrequired
descriptionstring<= 4000 charactersrequired

Reason for a refund.

refund_amountnumber(float)required

The refund amount in a purchase currency.

curl -i -X PUT \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/pay-station/merchants/{merchant_id}/reports/transactions/{transaction_id}/partial_refund' \
  -H 'Content-Type: application/json' \
  -d '{
    "refund_amount": 1.5,
    "description": "test refund request"
  }'

Responses

Refund request accepted

Response
No content
Operations